[SciPy-dev] default matlab file format

Jarrod Millman millman@berkeley....
Tue Nov 11 03:48:24 CST 2008

I think that the savemat function should default to version 5 rather than 4:

I know that there has been an increasing sense that changing the API
should be done via deprecation warnings; but, in this particular case,
it seems that it would be much more useful to end users to change the
behavior without a deprecation.  I seriously doubt that there are many
(if any) Matlab users with such old versions of Matlab that they can't
read version 5 files.  What do other people think?  Does anyone have a
need for keeping version 4 as the default format for saving Matlab

Jarrod Millman
Computational Infrastructure for Research Labs
10 Giannini Hall, UC Berkeley
phone: 510.643.4014

More information about the Scipy-dev mailing list